/* ==========================================================================*/
/* - - - - - - - - - - - - -  C o d e c . h  - - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the Codec.c module                                 */
/*  Created   2007-03-10                                                     */
/*  Modified  2007-03-10                                                     */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
#ifndef CODEC_H_
#define CODEC_H_
#include "Common.h"

#define DBUF_SIZE (1024*2)	//256 R-L samples

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void CodecInit( void );
void SetVolume( U8BIT vol );
void WriteFRAM( U16BIT Adr, U8BIT Data );
U8BIT ReadFRAM( U16BIT Adr );

void Write32FRAM( U16BIT Adr, U32BIT Data );
U32BIT Read32FRAM( U16BIT Adr );

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/

#endif /*CODEC_H_*/
