/* ==========================================================================*/
/* - - - - - - - - - -  H e a d e r C t r l . h   - - - - - - - - - - - - - -*/
/* ==========================================================================*/
/*    Definition File for the HeaderCtrl.c module                            */
/*  Created   2007-05-07	msw                                              */
/*  Modified  2007-05-07    msw                                              */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
#ifndef HDRCTRL_H_
#define HDRCTRL_H_
#include "Common.h"

/*---------------------------------------------------------------------------*/
/*------------------> G L O B A L   D E F I N E S <--------------------------*/
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/*-------------------------> T y p e d e f s <-------------------------------*/
/*---------------------------------------------------------------------------*/
typedef union
{
	struct
	{
		U8BIT flags1;
		U8BIT flags2;
		U8BIT flags3;
		U8BIT rpt1[8];
		U8BIT rpt2[8];
		U8BIT urcall[8];
		U8BIT mycall[8];
		U8BIT mysuffix[4];
		U8BIT pfcs[2];
	}fld;
	U8BIT all[41];
}tHeaderType;

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/

#endif /*HDRCTRL_H_*/
