/* ==========================================================================*/
/* - - - - - - - - - - - - - -  I r q . h  - - - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the Irq.c module                                   */
/*  Created   2007-03-10	msw                                              */
/*  Modified  2007-03-10    msw                                              */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
#ifndef IRQ_H_
#define IRQ_H_

/*---------------------------------------------------------------------------*/
/* /////////////////// Interrupt Levels  /////////////////////////////////// */
/*---------------------------------------------------------------------------*/
#define FIQ_INTERRUPT_LEVEL		0
#define USART_INTERRUPT_LEVEL		2
#define TIMER1_INTERRUPT_LEVEL		3
#define TIMER2_INTERRUPT_LEVEL		4
#define SSC_INTERRUPT_LEVEL		5
#define IRQ1_INTERRUPT_LEVEL		6
#define PWM_INTERRUPT_LEVEL		7
#define PIOA_INTERRUPT_LEVEL 1

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void Timer1IrqService(void) __attribute__ ((naked));
void Timer2IrqService(void) __attribute__ ((naked));
void SSCIrqService(void) __attribute__ ((naked));
void UsartIrqService(void)__attribute__ ((naked));
void FIQIrqService(void)__attribute__ ((naked));
void Irq1Service(void)__attribute__ ((naked));
void PWM2IrqService(void)__attribute__ ((naked));
void PIOAIrqService(void)__attribute__ ((naked));

void SpuriousIrqService(void);

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/

#endif /*IRQ_H_*/


